/**
 * 
 */
package de.digisalt.dsnesds.core.wizards.create.file;

/**
 * @author flo
 * 
 */
public interface IByteStreamInput
{
	/**
	 * This method should return a byte array which will be written to the newly
	 * created file. This means: any Wizard implementing the interface can
	 * assemble the new file content (out of the settings the user has used in the
	 * wizard) in the method and return them as a byte array.
	 * 
	 * @return the byte array making up the content for the file to be created
	 */
	public byte[] getByteContent();
}
