package de.digisalt.dsnesds.core.wizards.create.file;

import java.util.HashMap;
import java.util.Set;

public class MetadataObject
{
	private String												namespace	= "de.digisalt.dsnesds.metadata";
	private final HashMap<String, String>	metadata	= new HashMap<String, String>();

	public MetadataObject(String namespace)
	{
		this.namespace = namespace;
	}

	public String getNamespace()
	{
		return namespace;
	}

	public String get(String key)
	{
		return metadata.get(key);
	}

	public void set(String key, String value)
	{
		metadata.put(key, value);
	}

	public Set<String> getKeys()
	{
		return metadata.keySet();
	}

	public boolean containsMetadata()
	{
		return !metadata.isEmpty();
	}
}
