/**
 * 
 */
package de.digisalt.dsnesds.editors.paletteedit.model;

/**
 * @author flo
 * 
 */
public class Color
{
	
	private int r = 0;
	private int b = 0;
	private int g = 0;
	
	/**
	 * @param r
	 *          an integer between 0..31
	 * @param g
	 *          an integer between 0..31
	 * @param b
	 *          an integer between 0..31
	 */
	public Color(final int r, final int g, final int b)
	{
		this.r = r;
		this.g = g;
		this.b = b;
	}
	
	/**
	 * @return an int array of type [r, g, b] where each int is 0..31
	 */
	public int[] getSnesColor()
	{
		return new int[]
		{ this.r, this.g, this.b };
	}
	
	/**
	 * @return an int array of type [r, g, b] where each int is 0..248
	 */
	public int[] get24bitColor()
	{
		return new int[]
		{ this.r * 8, this.g * 8, this.b * 8 };
	}
	
}
