/**
 * 
 */
package de.digisalt.dsnesds.core.wizards.create.file;

/**
 * @author flo
 * 
 */
public interface IResourceStreamInput
{
	/**
	 * This method should return a String pointing to a plugin resource which will
	 * be copied into the users workspace. The content of that plugin resource
	 * will be the content of the new file created. The path should be relative to
	 * the activator of the bundle.
	 * 
	 * @return the relative path to the plugin resource
	 */
	public String getResourcePath();
}
