/**
 * 
 */
package de.digisalt.dsnesds.core.wizards.create.file;

/**
 * @author flo
 * 
 */
public interface IStringStreamInput
{
	/**
	 * This method should return a String which will then be written to the newly
	 * created file. This means: any Wizard implementing the interface can
	 * assemble the new file content (out of the settings the user has used in the
	 * wizard) in the method and return them as a string.
	 * 
	 * @return the string content of the new file to be created
	 */
	public String getStringContent();
}
