package de.digisalt.dsnesds.editors.projectmeta;

import org.eclipse.swt.events.ModifyEvent;
import org.eclipse.swt.events.ModifyListener;

public abstract class SwitchableModifyListener implements ModifyListener
{
	private boolean	active	= true;

	@Override
	public void modifyText(ModifyEvent arg0)
	{
		if (active)
		{
			doModifyText(arg0);
		}
	}

	public abstract void doModifyText(ModifyEvent arg0);

	public void setActive(boolean val)
	{
		this.active = val;
	}

}
